# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 5753

Name:           trac-webadmin-plugin
Version:        0.1.2dev
Release:        1.20070716svn%{svnrev}%{?dist}
Summary:        Web Admin plugin for Trac

Group:          Applications/Internet
License:        GPL
URL:            http://trac.edgewall.org/wiki/WebAdmin
# Source comes from SVN right now: svn co -r %{svnrev} http://svn.edgewall.com/repos/trac/sandbox/webadmin/; \
#                                  cd webadmin; \
#                                  python setup.py sdist --formats gztar
Source0:        TracWebAdmin-%{version}-r%{svnrev}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       webadmin, trac, python-setuptools

%description
This plugin for Trac provides support for Web Admin.

%prep
#%setup -n TracWebAdmin-%{version} -q
%setup -n TracWebAdmin-%{version}-r%{svnrev} -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Thu Jul 05 2007 Jesse Keating <jkeating@redhat.com> - 0.10.0.2-3.20070705svn5798
- Require trac, python-setuptools as well
